/*
SWEETALERT2 CUSTOMIZATIONS
*/

h2.swal2-title {
  line-height: normal;
}

div:where(.swal2-container).swal2-backdrop-show,
div:where(.swal2-container).swal2-noanimation {
  background: rgb(0 0 0 / 81%) !important;
}

/* Estilo do container principal do SweetAlert */
.custom-swal-popup {
  background-color: #1e293b;
  color: #f8fafc;
  border-radius: 10px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.25);
}

/* Estilo do título */
.custom-swal-title {
  font-size: 20px;
  font-weight: 700;
  color: rgba(var(--bs-success-rgb));

  text-transform: uppercase;
  margin-bottom: 10px;
}

.custom-swal-title-success {
  font-size: 20px;
  font-weight: 700;
  color: var(--bs-success);
  text-transform: uppercase;
  margin-bottom: 10px;
}

.custom-swal-title-warning {
  font-size: 20px;
  font-weight: 700;
  color: var(--bs-warning);
  text-transform: uppercase;
  margin-bottom: 10px;
}

.custom-swal-title-info {
  font-size: 20px;
  font-weight: 700;
  color: var(--bs-info);
  text-transform: uppercase;
  margin-bottom: 10px;
}

.custom-swal-title-error {
  font-size: 20px;
  font-weight: 700;
  color: var(--bs-danger);
  text-transform: uppercase;
  margin-bottom: 10px;
}

div:where(.swal2-icon).swal2-error {
  border-color: var(--bs-danger)!important;
  color: var(--bs-danger) !important;
}

div:where(.swal2-icon).swal2-error [class^=swal2-x-mark-line] {
  background-color: var(--bs-danger) !important;
}


/* Estilo do texto */
.custom-swal-text {
  font-size: 16px;
  color: #e2e8f0;
  /* Cinza claro para o texto */
}

/* Estilo do botão de confirmação */
.custom-swal-confirm-button {
  background-color: var(--bs-info);
  /* Azul para o botão */
  color: #fff;
  border: none;
  padding: 10px 20px;
  font-size: 16px;
  font-weight: 600;
  text-transform: uppercase;
  border-radius: 5px;
  transition: all 0.3s ease-in-out;
  cursor: pointer;
}

.custom-swal-confirm-button-warning {
  background-color: var(--bs-warning);
  /* Azul para o botão */
  color: #ffffff;
  border: none;
  padding: 10px 20px;
  font-size: 16px;
  font-weight: 600;
  text-transform: uppercase;
  border-radius: 5px;
  transition: all 0.3s ease-in-out;
  cursor: pointer;
}

.custom-swal-confirm-button-info {
  background-color: var(--bs-info);
  /* Azul para o botão */
  color: #ffffff;
  border: none;
  padding: 10px 20px;
  font-size: 16px;
  font-weight: 600;
  text-transform: uppercase;
  border-radius: 5px;
  transition: all 0.3s ease-in-out;
  cursor: pointer;
}


/*#607D8B*/
.custom-swal-cancel-button {
  background-color: #9E9E9E;
  color: #fff;
  border: none;
  padding: 10px 20px;
  font-size: 16px;
  font-weight: 600;
  text-transform: uppercase;
  border-radius: 5px;
  transition: all 0.3s ease-in-out;
  cursor: pointer;
  margin-left: 1rem;
}

.custom-swal-confirm-button-error {
  background-color: var(--bs-danger);
  color: #fff;
  border: none;
  padding: 10px 20px;
  font-size: 16px;
  font-weight: 600;
  text-transform: uppercase;
  border-radius: 5px;
  transition: all 0.3s ease-in-out;
  cursor: pointer;
}

.swal2-icon.swal2-warning.swal2-icon-show {
  color: var(--bs-warning);
  border-color: var(--bs-warning);
}

.custom-swal-confirm-button-success {
  background-color: var(--bs-success);
  color: #fff;
  border: none;
  padding: 10px 20px;
  font-size: 16px;
  font-weight: 600;
  text-transform: uppercase;
  border-radius: 5px;
  transition: all 0.3s ease-in-out;
  cursor: pointer;
}

div:where(.swal2-icon).swal2-success [class^=swal2-success-line] {
  background-color: var(--bs-success) !important;
}

div:where(.swal2-icon).swal2-success .swal2-success-ring {
  border: .25em solid var(--bs-success)!important;
}

/* Efeito hover para o botão */
.custom-swal-confirm-button-success:hover {
  background-color: var(--bs-success);
}

.custom-swal-confirm-button-warning:hover {
  background-color: var(--bs-warning)
}

.custom-swal-confirm-button-error:hover {
  background-color: var(--bs-danger);
}

/* Efeito hover para o botão */
.custom-swal-confirm-button:hover {
  background-color: var(--bs-info);
}

.custom-swal-cancel-button:hover {
  background-color: #607D8B;

}